Index: main.inc
===================================================================
RCS file: /cvsroot/roundcubemail/roundcubemail/program/include/main.inc,v
retrieving revision 1.40
diff -p -u -8 -r1.40 main.inc
--- main.inc    5 Feb 2006 16:34:48 -0000       1.40
+++ main.inc    6 Feb 2006 22:45:36 -0000
@@ -328,16 +328,19 @@ function rcmail_set_locale($lang)
 // perfom login to the IMAP server and to the webmail service
 function rcmail_login($user, $pass, $host=NULL)
   {
   global $CONFIG, $IMAP, $DB, $sess_user_lang;
   $user_id = NULL;

   if (!$host)
     $host = $CONFIG['default_host'];
+
+       if ($CONFIG['only_default_user'] && strlen($CONFIG['default_user']))
+               $user = $CONFIG['default_user'];

   // parse $host URL
   $a_host = parse_url($host);
   if ($a_host['host'])
     {
     $host = $a_host['host'];
     $imap_ssl = (isset($a_host['scheme']) && in_array($a_host['scheme'], array('ssl','imaps','tls'))) ? TRUE : FALSE;
     $imap_port = isset($a_host['port']) ? $a_host['port'] : ($imap_ssl ? 993 : $CONFIG['default_port']);
@@ -1426,17 +1429,24 @@ function rcmail_login_form($attrib)
   $labels['pass'] = rcube_label('password');
   $labels['host'] = rcube_label('server');

   $input_user = new textfield(array('name' => '_user', 'size' => 30));
   $input_pass = new passwordfield(array('name' => '_pass', 'size' => 30));
   $input_action = new hiddenfield(array('name' => '_action', 'value' => 'login'));

   $fields = array();
-  $fields['user'] = $input_user->show($_POST['_user']);
+  if (strlen($CONFIG['default_user']) && ( !strlen($_POST['_user']) || $CONFIG['only_default_user'] ))
+  {
+       $fields['user'] = $input_user->show($CONFIG['default_user']);
+       }
+       else
+       {
+       $fields['user'] = $input_user->show($_POST['_user']);
+       }
   $fields['pass'] = $input_pass->show();
   $fields['action'] = $input_action->show();

   if (is_array($CONFIG['default_host']))
     {
     $select_host = new select(array('name' => '_host'));

     foreach ($CONFIG['default_host'] as $key => $value)
